package main

import (
	"flag"
	"fmt"
	"os"
)

func main() {
	var configFlag string
	flag.StringVar(&configFlag, "c", "", "path to .json file")
	flag.Parse()

	fmt.Printf("Reading JSON file: %s\n", configFlag)
	config, err := LoadConfig(configFlag)
	if err != nil {
		fmt.Fprintf(os.Stderr, "Cannot load config file: %s\n\t%s\n", configFlag, err)
		os.Exit(1)
	}
	TaskRun(*config)
}
